Loading...
Searching...
No Matches
Ogre::TRect< T > Struct Template Reference
Core » General

`#include <OgreCommon.h>`

## Public Member Functions

| TRect ()
| TRect (T const &l, T const &t, T const &r, T const &b)
| TRect (TRect const &o)
T | height () const
TRect | intersect (const TRect &rhs) const
| Returns the intersection of the two rectangles.
bool | isNull () const
TRect & | merge (const TRect &rhs)
bool | operator!= (const TRect &rhs) const
TRect & | operator= (TRect const &o)
bool | operator== (const TRect &rhs) const
void | setNull ()
T | width () const

## Public Attributes

T | bottom
T | left
T | right
T | top

## Constructor & Destructor Documentation

## TRect() [1/3]

template<typename T>

Ogre::TRect< T >::TRect | ( |  | ) |

inline

## TRect() [2/3]

template<typename T>

Ogre::TRect< T >::TRect | ( | T const & | l,
|  | T const & | t,
|  | T const & | r,
|  | T const & | b )

inline

## TRect() [3/3]

template<typename T>

Ogre::TRect< T >::TRect | ( | TRect< T > const & | o | ) |

inline

## Member Function Documentation

## operator=()

template<typename T>

TRect & Ogre::TRect< T >::operator= | ( | TRect< T > const & | o | ) |

inline

## width()

template<typename T>

T Ogre::TRect< T >::width | ( |  | ) | const

inline

Referenced by Ogre::TRect< float >::isNull(), and Ogre::Font::setGlyphInfoFromTexCoords().

## height()

template<typename T>

T Ogre::TRect< T >::height | ( |  | ) | const

inline

Referenced by Ogre::TRect< float >::isNull(), and Ogre::Font::setGlyphInfoFromTexCoords().

## isNull()

template<typename T>

bool Ogre::TRect< T >::isNull | ( |  | ) | const

inline

Referenced by Ogre::TRect< float >::intersect(), and Ogre::TRect< float >::merge().

## setNull()

template<typename T>

void Ogre::TRect< T >::setNull | ( |  | ) |

inline

## merge()

template<typename T>

TRect & Ogre::TRect< T >::merge | ( | const TRect< T > & | rhs | ) |

inline

## intersect()

template<typename T>

TRect Ogre::TRect< T >::intersect | ( | const TRect< T > & | rhs | ) | const

inline

Returns the intersection of the two rectangles.

Note that the rectangles extend downwards. I.e. a valid box will have "right > left" and "bottom > top".

Parameters

  rhs | Another rectangle.

Returns
  The intersection of the two rectangles. Zero size if they don't intersect.

## operator==()

template<typename T>

bool Ogre::TRect< T >::operator== | ( | const TRect< T > & | rhs | ) | const

inline

## operator!=()

template<typename T>

bool Ogre::TRect< T >::operator!= | ( | const TRect< T > & | rhs | ) | const

inline

## Member Data Documentation

## left

template<typename T>

T Ogre::TRect< T >::left

Referenced by Ogre::TRect< float >::intersect(), Ogre::TRect< float >::merge(), Ogre::operator<<(), Ogre::TRect< float >::operator=(), and Ogre::TRect< float >::operator==().

## top

template<typename T>

T Ogre::TRect< T >::top

Referenced by Ogre::TRect< float >::intersect(), Ogre::TRect< float >::merge(), Ogre::operator<<(), Ogre::TRect< float >::operator=(), and Ogre::TRect< float >::operator==().

## right

template<typename T>

T Ogre::TRect< T >::right

Referenced by Ogre::TRect< float >::intersect(), Ogre::TRect< float >::merge(), Ogre::operator<<(), Ogre::TRect< float >::operator=(), and Ogre::TRect< float >::operator==().

## bottom

template<typename T>

T Ogre::TRect< T >::bottom

Referenced by Ogre::TRect< float >::intersect(), Ogre::TRect< float >::merge(), Ogre::operator<<(), Ogre::TRect< float >::operator=(), and Ogre::TRect< float >::operator==().

The documentation for this struct was generated from the following file:

- OgreCommon.h